org.apache.ode.bpel.compiler.api

## Interface ExpressionCompiler

- All Known Implementing Classes:
    XPath10ExpressionCompilerBPEL11, XPath10ExpressionCompilerBPEL20, XPath10ExpressionCompilerBPEL20Draft, XPath10ExpressionCompilerImpl, XPath20ExpressionCompilerBPEL20, XPath20ExpressionCompilerBPEL20Draft, XPath20ExpressionCompilerImpl, XQuery10ExpressionCompilerBPEL20, XQuery10ExpressionCompilerBPEL20Draft, XQuery10ExpressionCompilerImpl

      public interface ExpressionCompiler

  Interface implemented by BPEL expression language compilers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OExpression` | `compile(java.lang.Object source)` Compile an expression into a `OExpression` object.
    `OExpression` | `compileJoinCondition(java.lang.Object source)` Compile a join condition into a `OExpression` object.
    `OLValueExpression` | `compileLValue(java.lang.Object source)` Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `void` | `setCompilerContext(CompilerContext compilerContext)` Set the compiler context (for resolving variables and such).

- - ### Method Detail

    - #### setCompilerContext

          void setCompilerContext(CompilerContext compilerContext)

      Set the compiler context (for resolving variables and such).
      Parameters:
        `compilerContext` - compiler context

    - #### compile

          OExpression compile(java.lang.Object source)
                       throws CompilationException

      Compile an expression into a `OExpression` object.
      Parameters:
        `source` -
      Returns:
      Throws:
        `CompilationException`

    - #### compileLValue

          OLValueExpression compileLValue(java.lang.Object source)
                                   throws CompilationException

      Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.
      Parameters:
        `source` -
      Returns:
      Throws:
        `CompilationException`

    - #### compileJoinCondition

          OExpression compileJoinCondition(java.lang.Object source)
                                    throws CompilationException

      Compile a join condition into a `OExpression` object.
      Parameters:
        `source` -
      Returns:
      Throws:
        `CompilationException`

    - #### getProperties

          java.util.Map<java.lang.String,java.lang.String> getProperties()